Welcome, Guest.
Username: Password: Remember me

TOPIC: [SOLVED] ReShade-master GitHub not compatible w/ 1.1.0?

ReShade-master GitHub not compatible w/ 1.1.0? 10 months 3 weeks ago #1

Sorry for my English before, :(

Greetings to all coding masters here. I just new here.
I begin to have problem with ReShade. The problem was started when saw this thread. reshade.me/forum/shader-presentation/261-paint-and-outline?
I thought ReShade has updated with the new feature Outline and Paint. Then i realize 1.1.0 still not included that features. So, try to searching how to get working then found main/master archive for ReShade. github.com/crosire/reshade-shaders. But when i coppied all to ReShade 1.1.0 (With Mediator) directory, none shaders work now. I thought it was plug-in for add custom shaders. I had tried TransMod but the shaders still not working. Any suggestion? :(
The administrator has disabled public write access.

ReShade-master GitHub not compatible w/ 1.1.0? 10 months 3 weeks ago #2

  • JBeckman
  • JBeckman's Avatar
  • Offline
  • Posts: 162
  • Thank you received: 36
The latest changes with profiles on Github is not entirely compatible with ReShade 1.1.0 though you can modify it to be compatible in a few ways although I can't say if that will also make it work with the Mediator utility as I don't use it.

With the Github files you can just go to "C:\Users\USERNAME\AppData\Roaming\ReShade\ReShade\Presets\" (Or what you've named it and where you've installed it.) and rename the "Default" folder to "Profile" and it should be compatible with 1.1 or you can modify "C:\Users\USERNAME\AppData\Roaming\ReShade\ReShade.fx" to where it points to "Profile" as the default preset and rename that to Default and it will work although just making a copy of the Default folder and naming said copy Profile is probably simpler until the next ReShade release with the updated Mediator utility and the injector .dll files that contains the code for the new profile system. :)

EDIT: Alternatively if it's just the cel/outline shader you can just grab that single file and replace the current one for ReShade 1.1's Framework shader pack and then of course also copying over the new settings for the config file. :)
(Bit of work but it should be perfectly doable if you only want that one shader.)
Last Edit: 10 months 3 weeks ago by JBeckman.
The administrator has disabled public write access.
The following user(s) said Thank You: 21Jarg

ReShade-master GitHub not compatible w/ 1.1.0? 10 months 3 weeks ago #3

  • crosire
  • crosire's Avatar
  • Offline
  • Posts: 2437
  • Thank you received: 1384
The master branch on GitHub requires ReShade 2.0 to work properly, which was not yet released.
Cheers, crosire =)
The administrator has disabled public write access.
The following user(s) said Thank You: 21Jarg

ReShade-master GitHub not compatible w/ 1.1.0? 10 months 3 weeks ago #4

JBeckman wrote:
The latest changes with profiles on Github is not entirely compatible with ReShade 1.1.0 though you can modify it to be compatible in a few ways although I can't say if that will also make it work with the Mediator utility as I don't use it.

With the Github files you can just go to "C:\Users\USERNAME\AppData\Roaming\ReShade\ReShade\Presets\" (Or what you've named it and where you've installed it.) and rename the "Default" folder to "Profile" and it should be compatible with 1.1 or you can modify "C:\Users\USERNAME\AppData\Roaming\ReShade\ReShade.fx" to where it points to "Profile" as the default preset and rename that to Default and it will work although just making a copy of the Default folder and naming said copy Profile is probably simpler until the next ReShade release with the updated Mediator utility and the injector .dll files that contains the code for the new profile system. :)

EDIT: Alternatively if it's just the cel/outline shader you can just grab that single file and replace the current one for ReShade 1.1's Framework shader pack and then of course also copying over the new settings for the config file. :)
(Bit of work but it should be perfectly doable if you only want that one shader.)

Oh, now i'm understand. I thought ReShade-master still can be use with 1.1.0 mediator. Anyway, had tried your suggestion for alternative one and it work :lol: . It was bit tricky since you must matching it to 1.1.0 rfx reshade code. (sorry, i'm accounting, dont know what exactly name is :lol: ). Many thanks man :cheer:
crosire wrote:
The master branch on GitHub requires ReShade 2.0 to work properly, which was not yet released.

Wow, thats mean new 2.0 will come out soon? :ohmy: . Fantastic!
The administrator has disabled public write access.